#include <iostream>

using namespace std;

int main()
{
    string slova;
    int a1, a2;
    cin >> slova;
    cin >> a1 >> a2;
    if(a1 == a2)
    {
        string s;
        for(int i = 0; i < a1; i++)
            s += slova;
        cout << s;
    }
    else if (a1 == a2 + 1)
    {
        string s;
        for(int i = 0; i < a2; i++)
            s += slova;
        cout << s + s[0];
    }
    else if (a2 == a1 + 1)
    {
        string s;
        for(int i = 0; i < a1; i++)
            s += slova;
        cout << s[1] + s;
    }
    else cout << "nemoguce";
    return 0;
}